<!DOCTYPE html>
<html lang="en">
<?php
session_start();
include('./db_connect.php');
?>

<head>
	<meta charset="utf-8">
	<meta content="width=device-width, initial-scale=1.0" name="viewport">
	<title>Sistema de Encuesta en Línea en PHP y MySQL</title>

	<?php include('./header.php'); ?>
	<?php
	if (isset($_SESSION['login_id']))
		header("location:index.php?page=home");
	?>
</head>

<style>
	body {
		width: 100%;
		height: 100%;
		position: fixed;
		top: 0;
		left: 0;
		background-color: rgb(2, 24, 45); /* Fondo general oscuro */
	}

	main#main {
		width: 100%;
		height: 100%;
		display: flex;
	}

	#login-center {
		background-color: transparent; /* Fondo limpio */
		padding: 30px;
	}

	.card {
		background-color: white; /* Fondo blanco para la caja */
		color: black; /* Texto oscuro */
		border-radius: 12px;
		box-shadow: 0 0 15px rgba(0, 0, 0, 0.5);
		border: none;
		opacity: 0; /* Empezamos con opacidad 0 */
		transform: translateX(-50px); /* Empieza desplazado hacia la izquierda */
		animation: fadeIn 0.8s ease-out forwards; /* Aplicamos la animación */
	}

	@keyframes fadeIn {
		from {
			opacity: 0;
			transform: translateX(-50px);
		}
		to {
			opacity: 1;
			transform: translateX(0);
		}
	}

	.card-body label {
		color: #333; /* Etiquetas más visibles */
	}

	.card-body input {
		background-color: #f8f9fa; /* Fondo suave para campos */
		color: #000;
		border: 1px solid #ced4da;
	}

	.card-body input:focus {
		background-color: #fff;
		color: #000;
		border-color: #80bdff;
		outline: none;
		box-shadow: 0 0 0 0.2rem rgba(0, 123, 255, .25);
	}

	button.btn-primary {
		background-color: #0066cc;
		border: none;
		color: white;
	}

	button.btn-primary:hover {
		background-color: #005bb5;
	}
</style>

<body>

	<main id="main">
		<div class="align-self-center w-100">
			<h4 class="text-white text-center"><b>Sistema de Encuesta en Línea</b></h4>
			<div id="login-center" class="row justify-content-center">
				<div class="card col-md-4">
					<div class="card-body">
						<form id="login-form">
							<div class="form-group">
								<label for="email" class="control-label">Correo</label>
								<input type="text" id="email" name="email" class="form-control form-control-sm">
							</div>
							<div class="form-group">
								<label for="password" class="control-label">Contraseña</label>
								<input type="password" id="password" name="password" class="form-control form-control-sm">
							</div>
							<center><button class="btn-sm btn-block btn-wave col-md-4 btn-primary">Ingresar</button></center>
						</form>
					</div>
				</div>
			</div>
		</div>
	</main>

	<a href="#" class="back-to-top"><i class="icofont-simple-up"></i></a>

</body>

<script>
	$('#login-form').submit(function(e) {
		e.preventDefault()
		$('#login-form button[type="button"]').attr('disabled', true).html('Ingresando...');
		if ($(this).find('.alert-danger').length > 0)
			$(this).find('.alert-danger').remove();
		$.ajax({
			url: 'ajax.php?action=login',
			method: 'POST',
			data: $(this).serialize(),
			error: err => {
				console.log(err)
				$('#login-form button[type="button"]').removeAttr('disabled').html('Login');
			},
			success: function(resp) {
				if (resp == 1) {
					location.href = 'index.php?page=home';
				} else {
					$('#login-form').prepend('<div class="alert alert-danger">Usuario o Contraseña Incorrectos</div>')
					$('#login-form button[type="button"]').removeAttr('disabled').html('Login');
				}
			}
		})
	})
	$('.number').on('input', function() {
		var val = $(this).val()
		val = val.replace(/[^0-9 \,]/, '');
		$(this).val(val)
	})
</script>

</html>

