<?php include 'db_connect.php' ?>
<style>
    thead th {
        background-color: #1d3557;
        color: white;
    }
    tbody th.text-center {
        background-color: #1d3557;
        color: white;
    }
    .btn-action {
        background-color: #1d3557;
        color: white;
    }
    .btn-action:hover {
        background-color: #16324f;
        color: white;
    }
    .dropdown-menu {
        z-index: 1050 !important;
    }

    .bg-header-claro {
        background-color: rgb(121, 124, 126); /* o el color que desees */
    }

    /* Estilos de ancho */
    table th:nth-child(1), table td:nth-child(1) {
        width: 20px !important; /* Limitar el ancho de la columna # */
    }
    table th:nth-child(6), table td:nth-child(6) {
        width: 120px !important; /* Limitar el ancho de la columna Acción */
    }
</style>

<div class="col-lg-12">
    <div class="card card-outline">
        <div class="card-header bg-light">
            <div class="card-header bg-header-claro">
                <div class="card-tools">
                    <a class="btn btn-sm btn-primary shadow-sm" href="./index.php?page=new_survey">
                        <i class="fa fa-plus"></i> Agregar Nueva Encuesta
                    </a>
                </div>
            </div>
        </div>
        <div class="card-body">
            <table class="table table-hover table-bordered" id="list">
                <thead>
                    <tr>
                        <th class="text-center">#</th>
                        <th>Título</th>
                        <th>Descripción</th>
                        <th>Inicio</th>
                        <th>Final</th>
                        <th>Acción</th>
                    </tr>
                </thead>
                <tbody>
                    <?php
                    $i = 1;
                    $qry = $conn->query("SELECT * FROM survey_set order by date(start_date) asc,date(end_date) asc ");
                    while ($row = $qry->fetch_assoc()) :
                    ?>
                        <tr>
                            <th class="text-center"><?php echo $i++ ?></th>
                            <td><b><?php echo ucwords($row['title']) ?></b></td>
                            <td><b class="truncate"><?php echo $row['description'] ?></b></td>
                            <td><b><?php echo date("M d, Y", strtotime($row['start_date'])) ?></b></td>
                            <td><b><?php echo date("M d, Y", strtotime($row['end_date'])) ?></b></td>
                            <td class="text-center">
                                <div class="dropdown">
                                    <button type="button" class="btn btn-sm btn-flat border-primary btn-action dropdown-toggle shadow-sm" data-toggle="dropdown" aria-expanded="true">
                                        <i class="fa fa-cogs mr-1"></i> Acción
                                    </button>
                                    <div class="dropdown-menu">
                                        <a class="dropdown-item" href="./index.php?page=edit_survey&id=<?php echo $row['id'] ?>">
                                            <i class="fa fa-edit mr-1 text-primary"></i> Editar
                                        </a>
                                        <div class="dropdown-divider"></div>
                                        <a class="dropdown-item" href="./index.php?page=view_survey&id=<?php echo $row['id'] ?>">
                                            <i class="fa fa-eye mr-1 text-info"></i> Ver
                                        </a>
                                        <div class="dropdown-divider"></div>
                                        <a class="dropdown-item delete_survey" href="javascript:void(0)" data-id="<?php echo $row['id'] ?>">
                                            <i class="fa fa-trash mr-1 text-danger"></i> Eliminar
                                        </a>
                                    </div>
                                </div>
                            </td>
                        </tr>
                    <?php endwhile; ?>
                </tbody>
            </table>
        </div>
    </div>
</div>

<script>
    $(document).ready(function() {
        $('#list').DataTable();
        $('.delete_survey').click(function() {
            _conf("Deseas eliminar esta encuesta?", "delete_survey", [$(this).attr('data-id')])
        })
    })

    function delete_survey($id) {
        start_load()
        $.ajax({
            url: 'ajax.php?action=delete_survey',
            method: 'POST',
            data: { id: $id },
            success: function(resp) {
                if (resp == 1) {
                    alert_toast("Datos eliminados correctamente", 'success')
                    setTimeout(function() {
                        location.reload()
                    }, 1500)
                }
            }
        })
    }
</script>
